<?xml version="1.0"?>
<queryset>

<fullquery name="get_message">
      <querytext>
        select subject, body, priority_p
        from im_message
        where message_id = :message_id
        and sender_user_id = :user_id
        and sent_p = false
        and deleted_p = false
      </querytext>
</fullquery>

<fullquery name="get_original_message">
      <querytext>
        select m.subject, m.body, m.priority_p, m.sent_timestamptz, p.party_name as original_sender_name, m.sender_user_id as original_sender_user_id, im_to_addressees_horiz_list(m.message_id) as original_addressees
        from im_message m, party_names p
        where m.sender_user_id = p.party_id
        and message_id = :original_message_id
        and sent_p = true
        and deleted_p = false
      </querytext>
</fullquery>

<fullquery name="update_message">
      <querytext>
        update im_message
        set subject = :subject,
        body = :body,
        priority_p = :priority_p
        where message_id = :message_id
        and sender_user_id = :user_id
        and sent_p = false
        and deleted_p = false
       </querytext>
</fullquery>

<fullquery name="message_new">
      <querytext>
        select im_message__new( :user_id, :subject, :body, :priority_p ) as message_id
      </querytext>
</fullquery>

<fullquery name="message_add_addressee">
      <querytext>
        select 0 from dual
      </querytext>
</fullquery>

<fullquery name="message_sent_p">
      <querytext>
        select im_message__sent_p(:message_id) as message_sent_p
      </querytext>
</fullquery>

<fullquery name="message_author_p">
      <querytext>
        select im_message__author_p(:message_id, :user_id) as message_author_p
      </querytext>
</fullquery>

<fullquery name="message_addressee_p">
      <querytext>
        select im_message__addressee_p(:message_id, :user_id) as message_addressee_p
      </querytext>
</fullquery>

<fullquery name="original_message_addressee_p">
      <querytext>
        select im_message__addressee_p(:original_message_id, :user_id) as original_message_addressee_p
      </querytext>
</fullquery>

<fullquery name="message_new_reply">
      <querytext>
        select im_message__new_reply( :user_id, :subject, :body, :priority_p, :original_sender_user_id, :original_message_id) as message_id
      </querytext>
</fullquery>

</queryset>
